## ros-kinetic-openhrp3 3.1.9

=== debian/changelog ===
ros-kinetic-openhrp3 (3.1.9-3xenial) xenial; urgency=high

  * supports OpenRTM-aist 1.2.0 (c04e9293 <https://github.com/fkanehiro/openhrp3/commit/c04e92930af318d6566213dd173c34331eb18898>)
  * supports trunk version of OpenRTM-aist (#104 <https://github.com/fkanehiro/openhrp3/issues/104>)
    * hrplib/{hrpModel/ModelNodeSet.h, TriangleMeshShaper.h} uses signals2 for BOOST_VERSION >= 103900 (#103 <https://github.com/fkanehiro/openhrp3/issues/103>)
  * add configuration for openrtm ver-1.1.2 (#84 <https://github.com/fkanehiro/openhrp3/issues/84>)
  * SUpport ARM64: aarch64(ARMv8) is also 64bit machine (#100 <https://github.com/fkanehiro/openhrp3/issues/100>)
    * hrplib/hrpPlanner/TimeUtil.cpp : fix get_tick() for arm processors (#99 <https://github.com/fkanehiro/openhrp3/issues/99> )
  * Support clang and Fix some memory leaks (conservative fixes only) (#113 <https://github.com/fkanehiro/openhrp3/issues/113>)
  * supports ubuntu 16.04 (2faa042f0 <https://github.com/fkanehiro/openhrp3/commit/2faa042f0ce5e2b8ac6b03c94feb3e95ab076e1d>)
  * CMakeLists.txt: fix to work on Boost 1.34.0 (#89 <https://github.com/fkanehiro/openhrp3/issues/89> )
  * .traivs.yml: add to check if this work with current hrpsys (#70 <https://github.com/fkanehiro/openhrp3/issues/70>)
  * layout python stub to right place (#69 <https://github.com/fkanehiro/openhrp3/issues/69> )
    * idl_py_files to lib/python${python_version}/dist-packages
    * module_py_files to lib/python${python_version}/dist-packages/OpenHRP
    * module_poa_py_files to lib/python${python_version}/dist-packages/OpenHRP__POA
  * installPackages
    * util/installPackages.sh: Fixes on the script (#96 <https://github.com/fkanehiro/openhrp3/issues/96>)Fix the tests on empty strings
    
    Fix shebang for better compatibility
    
      * util/installPackages.sh: fixes a typo (#95 <https://github.com/fkanehiro/openhrp3/issues/95>)
      * util/packages.list.ubuntu.15.04 : adds a package list for ubuntu15.04 (ce8dc77f <https://github.com/fkanehiro/openhrp3/commit/ce8dc77f20f2f755f242b0c8ca3c9af7da278bf9>)
    
  * Fix many compile warning
    * fixes some of warnings detected by -Wall (#118 <https://github.com/fkanehiro/openhrp3/issues/118> )
    * fixes warnings detected by -Wsign-compare / restores return type of calcSRInverse() (#117 <https://github.com/fkanehiro/openhrp3/issues/117>)
    * fixes warnings detected by -Wreorder (#114 <https://github.com/fkanehiro/openhrp3/issues/114>)
    * Reduce Warnings (#102 <https://github.com/fkanehiro/openhrp3/issues/102>)Reorder includes for clang
    Clang doesn't allow the overloaded operator <<= used in the template
    function CORBA_Util::typecode::id() to be declared after that point of
    use.  It seems to be a bug in clang.
    
    Add missing cases
    
    Remove "this != null" checks
    These conditionals are never true in valid C++ programs.
    
    Add abort to "impossible" paths
    
    Add parens to indicate intentional assignment
    
    Fix comparison where it should be assignment
    
    Streamline definition of PI and PI_2
    C++ standard (at least prior to C++11) specifies that static const
    double members cannot be initialized within the class definition.  Move
    the initialization of PI and PI_2 outside the class; also, update
    
    <string>:49: (ERROR/3) Unexpected indentation.
    
    feature test macros to use M_PI and M_PI_2 whenever they're available.
    
    Disambiguate if-else
    
    Fix friend declarations
    friend declarations can't contain default parameters unless the function
    body is defined at the same site.
    
      * hrplib/hrpModel/Body.cpp, ModelLoaderUtil.cpp, fixes warnings (false -> NULL) (#101 <https://github.com/fkanehiro/openhrp3/issues/101>)
    
  * hrplib/hrpModel
    * hrplib/hrpModel/World.h: changes return type of World::numBodies() from int to unsinged int (#116 <https://github.com/fkanehiro/openhrp3/issues/116> )
    * hrplib/hrpModel/{Body.h,JointPath.h,LinkTraverse.h} : changes return types of numXXX() (#115 <https://github.com/fkanehiro/openhrp3/issues/115> )
    * hrplib/hrpModel/Body.cpp: supports slide joints (Link:SLIDE_JOINT) in calcCMJacobian() (7b674f88 <https://github.com/fkanehiro/openhrp3/commit/7b674f88af1100ae0d85bdc6c45cb1f18ae648ea>)
    * hrplib/hrpModel/Body.cpp: fixes a bug in calcInverseKinematics (1ce8d36d7 <https://github.com/fkanehiro/openhrp3/commit/1ce8d36d72685e4bfe92912ec13cced754c0240a>)
    * hrplib/hrpModel/ModelNodeSet.cpp: PROTO Surfaceのあるモデルが読み込めないバグの修正 (#66 <https://github.com/fkanehiro/openhrp3/issues/66>)
  * hrplib/hrpPlanner
    * Extend planner (#112 <https://github.com/fkanehiro/openhrp3/issues/112>, #111 <https://github.com/fkanehiro/openhrp3/issues/111>)removes redundant way point in a path /
    
    changes type of extraConnectionCheckFunc
    
    enables to add an extra connection check between trees
    
    adds == and != operators
    
      * hrplib/hrpPlanner/Algorithm.cpp: adds Algorithm::ignoreCollisionAtStart() and Algorithm::ignoreCollisionAtGoal() (#110 <https://github.com/fkanehiro/openhrp3/issues/110>)
      * hrplib/hrpPlanner/PathPlanner.cpp : Fix bugs, uses attitude() instead of R ( #109 <https://github.com/fkanehiro/openhrp3/issues/109>)
      * hrplib/hrpPlanner/PathPlanner.cpp: outputs debug messages to stderr not to stdout (#108 <https://github.com/fkanehiro/openhrp3/issues/108>)
      * hrplib/hrpPlanner/Algorithm.cpp: makes error messages more informative (#107 <https://github.com/fkanehiro/openhrp3/issues/107>)
    
  * hrplib/hrpCollision
    * hrplib/hrpCollision/Opcode/OPC_Common.h: modifies CreateSSV() to prevent Zero Div.(#106 <https://github.com/fkanehiro/openhrp3/issues/106>)
    * hrplib/hrpCollision/ColdetModel.cpp: 隣接する三角形の判断を修正 (#75 <https://github.com/fkanehiro/openhrp3/issues/75>)
  * hrplib/hrpUtil
    * hrplib/hrpUtil/TriangleMeshShaper.cpp: checks values to prevent NaN (#105 <https://github.com/fkanehiro/openhrp3/issues/105>)
    

